Author Topic: Buidling from CVS - bootstrap error  (Read 16443 times)

Offline TheTuxKeeper

  • Regular
  • ***
  • Posts: 293
  • daniel2000
Re: Buidling from CVS - bootstrap error
« Reply #15 on: November 21, 2005, 02:18:24 pm »
First look where file libtool.m4 is. ( with "locate libtool.m4")

Then take a look at the file /usr/share/aclocal/dirlist . The directory where libtool.m4 is in has to be listed in this file (every directory has to be in an extra line), if not add it (you have to be root to edit the file).

Last step: Try again  :D

Daniel
Nightly builds for openSUSE

Offline rathapolk

  • Multiple posting newcomer
  • *
  • Posts: 10
Re: Buidling from CVS - bootstrap error
« Reply #16 on: November 23, 2005, 08:18:46 am »
I looked at the file /usr/share/aclocal/dirlist and it was empty.

I did "locate libtool.m4". The result is ..
/home/user/downloads/wxWidgets-2.6.2/src/expat/conftools/libtool.m4
/home/uset/downloads/gcc-3.4.4/boehm-gc/libtool.m4
/home/user/downloads/gcc-3.4.4/libtool.m4
/usr/share/apps/kapptemplate/admin/libtool.m4.in
/usr/share/aclocal/libtool.m4

I added the these five lines to the dirlist, but bootstrap output the same error.
BTW the Windows version is awesome.

rathapolk

Offline TheTuxKeeper

  • Regular
  • ***
  • Posts: 293
  • daniel2000
Re: Buidling from CVS - bootstrap error
« Reply #17 on: November 23, 2005, 03:08:59 pm »
OK,
1. Undo the changes you made to dirlist.
2. Look whether "AC_PROG_LIBTOOL" is in the file configure.in (it should be in line 23), if not add it.
It should like this:
Code: [Select]
...
CODEBLOCKS_SETUP_FOR_TARGET

AC_DISABLE_STATIC
AC_PROG_LIBTOOL

dnl Checks for header files.
AC_HEADER_DIRENT
AC_HEADER_STDC
...

I hope this works ;)
Nightly builds for openSUSE

Offline Jabber

  • Multiple posting newcomer
  • *
  • Posts: 14
Re: Buidling from CVS - bootstrap error
« Reply #18 on: June 06, 2006, 08:22:30 pm »
Hi,

Not sure if it's ok to bring this topic up again, but I'm having exactly the same problem as rathapolk.
I'm running a Debian testing, C::B svn trunk.

Running ./bootstrap gave me: warning: macro `AM_OPTIONS_WXCONFIG' not found in library.

I then did an export ACLOCAL_FLAGS="--acdir=`wx-config --prefix`/share/aclocal".
The warning disappeared, but now I'm getting lots of aclocal:acinclude.m4:55: warning: macro `AM_CONDITIONAL' not found in library and also
src/plugins/astyle/Makefile.am:10: Libtool library used but `LIBTOOL' is undefined
src/plugins/astyle/Makefile.am:10:
src/plugins/astyle/Makefile.am:10: The usual way to define `LIBTOOL' is to add `AC_PROG_LIBTOOL'
src/plugins/astyle/Makefile.am:10: to `configure.in' and run `aclocal' and `autoconf' again.


I tried to run ./configure anyway, but it fails with ./configure: line 23195: AM_OPTIONS_WXCONFIG: command not found.

BTW, AC_PROG_LIBTOOL was defined in configure.in:

[snip]
CODEBLOCKS_SETUP_FOR_TARGET

AC_DISABLE_STATIC
AC_PROG_LIBTOOL

dnl Checks for header files.
[snip]


Any ideas?

TIA, Jabber



Offline Game_Ender

  • Lives here!
  • ****
  • Posts: 551
Re: Buidling from CVS - bootstrap error
« Reply #19 on: June 07, 2006, 06:25:33 pm »
In ubuntu you need to have the wx-common package (I dont' know if they have this in debian).  You also to make sure your default aclocal is of the proper version.  I got the same problem when my aclocal pointed to, to old a version.  Updating my symbolic links /etc/alternatives to point to the proper aclocal fixed it.
« Last Edit: June 07, 2006, 06:40:07 pm by Game_Ender »

Offline Commodore64

  • Multiple posting newcomer
  • *
  • Posts: 35
Re: Buidling from CVS - bootstrap error
« Reply #20 on: July 10, 2006, 04:56:34 pm »
Hello,

I've tried to build Code::Blocks SVN (rev. 2729) following directions given in the wiki. This is my first build on my Linux system, that is a Mandriva 2006.

However, ./bootstrap gives me the following errors:

Code: [Select]
You should add the contents of `/usr/share/aclocal/libtool.m4' to `aclocal.m4'.
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 0: macro `AM_CONDITIONAL' not found in library
aclocal: configure.in: 7: macro `AM_INIT_AUTOMAKE' not found in library
aclocal: configure.in: 61: macro `AM_OPTIONS_WXRC' not found in library
aclocal: configure.in: 92: macro `AM_CONDITIONAL' not found in library

At this time, I'm clueless... can anybody help me?
Thank you!
Luca

Offline TheTuxKeeper

  • Regular
  • ***
  • Posts: 293
  • daniel2000
Re: Buidling from CVS - bootstrap error
« Reply #21 on: July 10, 2006, 05:49:57 pm »
You need these packages to compile codeblocks on mandriva:
automake1.8, autoconf2.5, m4, make, subversion, wxGTK2.6-devel, gcc-c++, zip

I think on your system automake1.8 is missing, because this package provides the macro definitions ;)
« Last Edit: July 10, 2006, 05:55:58 pm by daniel2000 »
Nightly builds for openSUSE

Offline Commodore64

  • Multiple posting newcomer
  • *
  • Posts: 35
Re: Buidling from CVS - bootstrap error
« Reply #22 on: July 10, 2006, 06:18:24 pm »
No, I have all these packages...

At the beginning I had automake 1.4, and bootstrap said it needed version >=1.7; then I installed it (I tried both 1.8 and 1.7), I modified the symbolic link /usr/bin/automake to point to /usr/bin/automake-1.8, and I got that list of errors.

Thanks,
Luca

Offline TheTuxKeeper

  • Regular
  • ***
  • Posts: 293
  • daniel2000
Re: Buidling from CVS - bootstrap error
« Reply #23 on: July 10, 2006, 06:43:20 pm »
I have installed these packages and it works for me :) :
Code: [Select]
autoconf2.1-2.13-24mdk
autoconf2.5-2.59-6mdk
automake1.8-1.9.4-3mdk
m4-1.4.3-1mdk
make-3.80-9mdk
They should be all out of common/official repositories (main, updates, contrib, plf-free or plf-nonfree).
Nightly builds for openSUSE

Offline Commodore64

  • Multiple posting newcomer
  • *
  • Posts: 35
Re: Buidling from CVS - bootstrap error
« Reply #24 on: July 10, 2006, 09:18:28 pm »
You're a lucky man  :P

Possibly the reason why it doesn't work on my machine is that I installed Mandriva 2006 on top of Mandrake 10.0, and now my system is a bit messed up :?

Offline Commodore64

  • Multiple posting newcomer
  • *
  • Posts: 35
Re: Buidling from CVS - bootstrap error
« Reply #25 on: July 11, 2006, 11:37:50 am »
Yes!!!!  :D

I've managed to run bootstrap, and now I'm compiling C::B!  8)

The secret was uninstalling completely the old autoconf1.4... for some reason, it wouldn't coexist with autoconf1.7.

Thanks daniel2000 for your help!

BTW, some interesting open source projects using wxWidgets, like Xara LX, are distributing universal Linux binary packages with the autopackage tool. It looks an interesting solution...

Offline TheTuxKeeper

  • Regular
  • ***
  • Posts: 293
  • daniel2000
Re: Buidling from CVS - bootstrap error
« Reply #26 on: July 11, 2006, 12:10:06 pm »
Yes!!!! :D

I've managed to run bootstrap, and now I'm compiling C::B! 8)

The secret was uninstalling completely the old autoconf1.4... for some reason, it wouldn't coexist with autoconf1.7.

Thanks daniel2000 for your help!

BTW, some interesting open source projects using wxWidgets, like Xara LX, are distributing universal Linux binary packages with the autopackage tool. It looks an interesting solution...

Great :D

Thank you for the hint about autopackage. I've tried to create one, but till now I didn't succeed. But I only did some initial tests. If I really don't succeed I'll contact one of these project and ask how they create the autopackage :)
Nightly builds for openSUSE

Offline Pecan

  • Plugin developer
  • Lives here!
  • ****
  • Posts: 2180
Re: Buidling from CVS - bootstrap error
« Reply #27 on: July 11, 2006, 01:25:57 pm »


The secret was uninstalling completely the old autoconf1.4... for some reason, it wouldn't coexist with autoconf1.7.


Wow! I'll bet that's the same problem I'm having with OS X 10.3
Thanks for your tenacity and hint.
« Last Edit: July 11, 2006, 01:27:34 pm by Pecan »